/*
      ,    
*/

//*****************************************************************************
//    
//*****************************************************************************
String GetChannelStateText(int state)
{
  switch( state )
  {
    case 0: return "";
    case 1: return "";
    case 2: return " ";
    case 3: return ". ";
    case 4: return ". ";
    case 5: return ". ";
    case 6: return " ";
    default: return "???";
  }
}
//*****************************************************************************
//       
//     
//    %BZL    
//*****************************************************************************
String GetLiftStateText(TMonControl Sender)
{
  if( Sender.STATE ) return "";
  //
  switch( Sender.VALUES[3] )
  {
    case 0: return "  ";
    case 1: return "   . ";
    case 2: return "   . ";
    case 3: return " ";
    case 4: return "  ABC";
    case 5: return "  ";
    case 6: return "  ";
    case 7: return " ";
    default: return "???";
  }
}
//*****************************************************************************
//         
//*****************************************************************************
String GetEtajString(TMonControl Sender)
{
  if( Sender.state ) return "";
  if( Sender.VALUES[4]==0 ) return " ";
  return IntToStr(Sender.VALUES[4]);
}

//     -106     
// state -  
// e -  
String Tem106GetSystemErrorDescription(int state, int e)
{
  if( state!=0 ) return GetChannelStateText(state); //   
  if( e==0 ) return "";    //  
  //
  String s = "";
  if( e && 1 ) s += "\"G1<min\" ";
  if( e && 2 ) s += "\"G2<min\" ";
  if( e && 4 ) s += "\"G1>max\" ";
  if( e && 8 ) s += "\"G2>max\" ";
  if( e && 16 ) s += "\"dt<min\" ";
  if( e && 32 ) s += "\". .\" ";
  if( e && 64 ) s += "\". .\" ";
  if( e && 128 ) s += "\" 7 !\"";
  return s;
}

// -  
TColor Tem106GetSystemErrorColor(int state, int e)
{
  if( state!=0 ) return clGray; //   
  if( e==0 ) return clWhite;    //  
  return clRed;
}

//**************************************************************
//     () 
//  941/943
//**************************************************************
String LogikaNS(int ns)
{
  String rv = "";
  for(int i=0; i<=21; i++)
  {
    if( (1<<i) && ns )
    {
      switch( i )
      {
        case 0: rv += "  (U<3.2)\n";
        case 1: rv += "     .\n";
        case 2: rv += "    .\n";
        case 3: rv += " t   0-176 C\n";
        case 4: rv += "      -.\n";
        case 8: rv += " P1     0-1.1*1\n";
        case 9: rv += " P2     0-1.1*1\n";
        case 10: rv += " t1     0-176 C\n";
        case 11: rv += " t2     0-176 C\n";
        case 12: rv += " t3     0-176 C\n";
        case 13: rv += "  1      (G1>G1)\n";
        case 14: rv += "   1      (0<G1<G1)\n";
        case 15: rv += "   2      (G2>G2)\n";
        case 16: rv += "   2      (0<G2<G2)\n";
        case 17: rv += "  3      (G3>G3)\n";
        case 18: rv += "   3      (0<G3<G3)\n";
        case 19: rv += "    .\n";
        case 20: rv += "     .\n";
        case 21: rv += "    .\n";
        case 0: rv += "\n";
      }
    }
  }
  return rv;
}

{}
