/*
        SQL    .
      Query1.

    SLQ     LanMon   ADO.

  ()   11.08.2005
  www.mnppsaturn.ru
*/

//-----------------------------------------------------------------------------
//  
//-----------------------------------------------------------------------------
//    SQL 
TADOQuery Query1;

//-----------------------------------------------------------------------------
//       
//-----------------------------------------------------------------------------
void CreateQuery()
{
  //  SQL 
  Query1 = new TADOQuery(nil);

  // SystemADOConnection (class TADOConnection) -   
  //  SQL .     " /  ..."
  //   "ADO"

  //       
  Query1.Connection = SystemADOConnection;
}

//-----------------------------------------------------------------------------
//        
//-----------------------------------------------------------------------------
void DeleteQuery()
{
  //   "SQL "
  delete Query1;
}

//-----------------------------------------------------------------------------
//       SLQ 
//-----------------------------------------------------------------------------
void TestSQL()
{
  //      
  String sql = "SELECT TOP 3 l.rtime, state, dbo.GetValue(state, dtype, val1, val2) AS val FROM logs l WHERE a1 = 1 AND a2 = 1 AND a3 = 1 AND a4 = 1";
  try
  {
    SystemADOConnection.Connected = true; //   SQL 
    Query1.SQL.Clear();
    //    : 3  3 
    Query1.SQL.Add( sql );
    //  SQL 
    Query1.Open();

    Variant v; //     
    String s;  //     
    s = "SQL   :\nrtime  state  value";

    //    SQL    
    //   
    while( ! Query1.Eof ) //    
    {
      // Query1.FieldByName(const FieldName: string)     TField
      // Query1.Fields.Fields[0]     TField

      v = [Query1.Fields.Fields[0].AsString, Query1.Fields.Fields[1].AsString, Query1.Fields.Fields[2].AsString];
      s += Format("\n%s  %s  %s", v);
      Query1.Next(); //     
    }
    LMShowMessage( s );
  }
  except
  {
    LMShowMessage("  SQL  !\n" + sql, clRed);
  }
  //    SQL 
  SystemADOConnection.Connected = false;
}

//*****************************************************************************
//    : main()
//*****************************************************************************
{
  CreateQuery();
  TestSQL();
  DeleteQuery();
}

