/***********************************************
       
***********************************************/
TForm f;
TButton b;
TLabel t;

void ButtonClick(TButton Sender)
{
  ShowMessage(Sender.Name);
  f.ModalResult = mrOk;
}

void ButtonMouseMove(TButton Sender)
{
  Sender.Caption = "moved over";
}

void CanResize(TObject Sender, int NewWidth, int NewHeight, int Resize)
{
  t.Caption = "VertScrollPos=" + IntToStr(f.VertScrollBar.Position) +
              "  HorzScrollPos=" + IntToStr(f.HorzScrollBar.Position);
}

//   : void main(void)
{
  f = new TForm(nil);
  f.Caption = "Test it!";
  f.BorderStyle = bsDialog;
  f.Position = poScreenCenter;
  //     
  f.AutoScroll = true;
  //          
  f.OnCanResize = &CanResize;

  //     
  t = new TLabel(f);
  t.Name = "Label1";
  t.Parent = f;
  t.SetBounds(10, 100, 100, 20);
  t.Caption = "This is label";

  b = new TButton(f);
  b.Name = "Button1";
  b.Parent = f;
  b.SetBounds(10, 200, 175, 45);
  b.Caption = "Test";

  b.OnClick = &ButtonClick; // -   b.OnClick = "ButtonClick"
  b.OnMouseMove = &ButtonMouseMove;

  f.ShowModal;

  f.Free;
}

